#define ROUND_MASK   NOT 0C00h         // Maska zerujaca bit trybu zaokraglania
#define ROUND_NEAREST     0            // Warotsc bitu zaokraglenia 'w dol'
#define ROUND_DOWN        1 SHL 10     // Warotsc bitu zaokraglenia 'w dol'
#define ROUND_UP          2 SHL 10     // Wartosc bitu zaokraglenia 'w gore'


inline void dec_double(double *f){

  double g=*f;
  if(*f > 0){
    if ( (*((long *)f))-- == 0) --(*((long *)f+1));
  }else{
    if(*f < 0){
      if ( ++(*((long *)f)) == 0) ++(*((long *)f+1));
    }else{
      *((long *)f) = 0x00000001;
      *((long *)f+1)   = 0x80000000;
    };
  };

  #ifdef DEBUGGING
  #ifdef KRAK
    if(*f>=g) errorExit("Error in dec_double:\n %s transferred to:\n %s",
            double2hex(g).string(),double2hex(*f).string());
  #endif
  #endif
};

void round_nearest(void);
void round_up(void);
void round_down(void);
void round_cut(void);

void set_intel_im(void);
void clear_intel_im(void);
