#ifndef _ROUNDING_H_
#define _ROUNDING_H_

#include "setting.h"

#define ROUNDING_MODE_NEAREST 0
#define ROUNDING_MODE_DOWN    1
#define ROUNDING_MODE_UP      2
#define ROUNDING_MODE_CUT     3

#ifdef KRAK
#  include "krak.h"
#endif


#if defined(SUN_OS)
#  include "sparc.h"
#else
#  include "intel.h"
#endif

int rounding_test(void);
void init_fpunit(void);

#endif
